Skip to main content
GET
/
api
/
files
/
v1
/
filesets
/
{fileSetId}
/
access
Get FileSet Access Permissions
curl --request GET \
  --url https://{subdomain}.domo.com/api/files/v1/filesets/{fileSetId}/access \
  --header 'X-DOMO-Developer-Token: <api-key>'
{
  "fileSetId": "e49f188e-be98-451d-ba0f-ada1157bb656",
  "fileSetAccess": [
    {
      "entityId": 27,
      "entityType": "USER",
      "permission": "OWNER"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://domoinc-openapi-sync-documents.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-DOMO-Developer-Token
string
header
required

Path Parameters

fileSetId
string
required

The ID of the FileSet for which to retrieve access information.

Response

Access permissions retrieved successfully

Response object containing the explicit access to a file set.

fileSetId
string

The associated file set id.

fileSetAccess
object[]

The access permissions for the file set.